# Tropic Crisis - Server-side Weapons
This package contains the files needed to install Tropic Crisis weapons on a server via SourceMod.

## Installation

### Dependencies
- [Custom Weapons X](https://github.com/nosoop/SM-TFCustomWeaponsX)
- [TF2 Utils](https://github.com/nosoop/SM-TFUtils)
- [Custom Attribute Framework](https://github.com/nosoop/SM-TFCustAttr)
- `custom ball impact effect` attribute from [TF2 Custom Attribute Starter Pack](https://github.com/nosoop/SM-TFCustomAttributeStarterPack). The only required files from the Starter Pack are `custom_ball_impact_effect.smx` and `tf2.cattr_starterpack.txt`.
- An edited version of [Custom Weapons X Base Attributes](https://github.com/nosoop/SM-TFCWXBaseAttributes). The edited version is included in this package and is required for proper functionality of Bottle Rocket.

### Installation steps
1. Install all dependencies listed above.
2. Upload the `assets` folder to your game server and the `assets_fastdl` folder to your fastdl
3. Upload the content of these folders to your game server: `tropic_crisis_attributes`, `cwx_config` and `cwx_base_attributes`
4. Restart the server
5. You're done - all the weapons can be equipped using the `!cwx` command from Custom Weapons X