void Rocket_OnRocketProjectileCreated(int rocket) {
    SDKHook(rocket, SDKHook_SpawnPost, OnRocketProjectileSpawnPost);
}

static void OnRocketProjectileSpawnPost(int rocket) {
    if(!IsValidEntity(rocket)) {
        return;
    }

    int weapon = GetEntPropEnt(rocket, Prop_Send, "m_hLauncher");
    if(!IsValidEntity(weapon)) {
        return;
    }

    char modelPath[PLATFORM_MAX_PATH];
    TF2CustAttr_GetString(weapon, "rocket projectile model override", modelPath, sizeof(modelPath));
    if(modelPath[0] == '\0') {
        return;
    }

    int modelIndex = PrecacheModel(modelPath);

    for(int i = 0; i < 4; i++) {
        SetEntProp(rocket, Prop_Send, "m_nModelIndexOverrides", modelIndex, _, i);
    }
}